/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { HeroSlideEditPage } from '@/features/hero-slides'

export const Route = createFileRoute('/_authenticated/hero-slides/$slideId')({
  component: HeroSlideEditRoute,
})

function HeroSlideEditRoute() {
  const { slideId } = Route.useParams()
  return <HeroSlideEditPage slideId={slideId} />
}
